package com.hai.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * mapper扩展类
 */
public interface SecUserLabelMapperExt {

    @Select({" select" +
            "  b.id userId," +
            "  b.telephone telephone" +
            "  FROM sec_user_label a" +
            "  LEFT JOIN sec_user b on b.id = a.user_id" +
            "  where " +
            "  a.`status` = 1 " +
            "  and a.label_id = #{labelId}" +
            "  and b.company_id = #{companyId}" +
            "  and b.telephone is not null"})
    List<Map<String, Object>> selectUserByCompanyAndLabel(@Param("companyId") Long companyId, @Param("labelId") Long labelId);

}
